/// @cond EO_CXX_EO_IMPL

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline bool elm_interface_atspi_component::contains(bool screen_coords_, int x_, int y_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_component_contains(::efl::eolian::to_c(screen_coords_), x_, y_));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline bool elm_interface_atspi_component::focus_grab() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_component_focus_grab());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline ::efl::eo::concrete elm_interface_atspi_component::accessible_at_point_get(bool screen_coords_, int x_, int y_) const
{
   Eo * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_component_accessible_at_point_get(::efl::eolian::to_c(screen_coords_), x_, y_));
   return ::efl::eolian::to_cxx<::efl::eo::concrete>(_tmp_ret, std::tuple<std::false_type>());
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline void elm_interface_atspi_component::size_get(int* w_, int* h_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_component_size_get(w_, h_));
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline bool elm_interface_atspi_component::size_set(int w_, int h_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_component_size_set(w_, h_));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline int elm_interface_atspi_component::layer_get() const
{
   int _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_component_layer_get());
   return _tmp_ret;
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline double elm_interface_atspi_component::alpha_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_component_alpha_get());
   return _tmp_ret;
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline int elm_interface_atspi_component::z_order_get() const
{
   int _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_component_z_order_get());
   return _tmp_ret;
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline void elm_interface_atspi_component::extents_get(bool screen_coords_, int* x_, int* y_, int* w_, int* h_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_component_extents_get(::efl::eolian::to_c(screen_coords_), x_, y_, w_, h_));
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline bool elm_interface_atspi_component::extents_set(bool screen_coords_, int x_, int y_, int w_, int h_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_component_extents_set(::efl::eolian::to_c(screen_coords_), x_, y_, w_, h_));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline void elm_interface_atspi_component::position_get(bool screen_coords_, int* x_, int* y_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_component_position_get(::efl::eolian::to_c(screen_coords_), x_, y_));
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline bool elm_interface_atspi_component::position_set(bool screen_coords_, int x_, int y_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_component_position_set(::efl::eolian::to_c(screen_coords_), x_, y_));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline bool eo_cxx::elm_interface_atspi_component::contains(bool screen_coords_, int x_, int y_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_component_contains(::efl::eolian::to_c(screen_coords_), x_, y_));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline bool eo_cxx::elm_interface_atspi_component::focus_grab() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_component_focus_grab());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline ::efl::eo::concrete eo_cxx::elm_interface_atspi_component::accessible_at_point_get(bool screen_coords_, int x_, int y_) const
{
   Eo * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_component_accessible_at_point_get(::efl::eolian::to_c(screen_coords_), x_, y_));
   return ::efl::eolian::to_cxx<::efl::eo::concrete>(_tmp_ret, std::tuple<std::false_type>());
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline void eo_cxx::elm_interface_atspi_component::size_get(int* w_, int* h_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_component_size_get(w_, h_));
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline bool eo_cxx::elm_interface_atspi_component::size_set(int w_, int h_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_component_size_set(w_, h_));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline int eo_cxx::elm_interface_atspi_component::layer_get() const
{
   int _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_component_layer_get());
   return _tmp_ret;
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline double eo_cxx::elm_interface_atspi_component::alpha_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_component_alpha_get());
   return _tmp_ret;
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline int eo_cxx::elm_interface_atspi_component::z_order_get() const
{
   int _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_component_z_order_get());
   return _tmp_ret;
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline void eo_cxx::elm_interface_atspi_component::extents_get(bool screen_coords_, int* x_, int* y_, int* w_, int* h_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_component_extents_get(::efl::eolian::to_c(screen_coords_), x_, y_, w_, h_));
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline bool eo_cxx::elm_interface_atspi_component::extents_set(bool screen_coords_, int x_, int y_, int w_, int h_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_component_extents_set(::efl::eolian::to_c(screen_coords_), x_, y_, w_, h_));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline void eo_cxx::elm_interface_atspi_component::position_get(bool screen_coords_, int* x_, int* y_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_component_position_get(::efl::eolian::to_c(screen_coords_), x_, y_));
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
inline bool eo_cxx::elm_interface_atspi_component::position_set(bool screen_coords_, int x_, int y_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_component_position_set(::efl::eolian::to_c(screen_coords_), x_, y_));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}
#endif

inline ::eo_cxx::elm_interface_atspi_component::operator ::elm_interface_atspi_component() const
{
   return *static_cast<::elm_interface_atspi_component const*>(static_cast<void const*>(this));
}

inline ::eo_cxx::elm_interface_atspi_component::operator ::elm_interface_atspi_component&()
{
   return *static_cast<::elm_interface_atspi_component*>(static_cast<void*>(this));
}

inline ::eo_cxx::elm_interface_atspi_component::operator ::elm_interface_atspi_component const&() const
{
   return *static_cast<::elm_interface_atspi_component const*>(static_cast<void const*>(this));
}

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
template <typename T>
bool _elm_interface_atspi_component_contains_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool screen_coords_, int x_, int y_)
{
   try
      {
         return static_cast<T*>(self->this_)->contains(::efl::eolian::to_cxx<bool>(screen_coords_, std::tuple<std::false_type>()), x_, y_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
template <typename T>
bool _elm_interface_atspi_component_focus_grab_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->focus_grab();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
template <typename T>
::efl::eo::concrete _elm_interface_atspi_component_accessible_at_point_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool screen_coords_, int x_, int y_)
{
   try
      {
         return static_cast<T*>(self->this_)->accessible_at_point_get(::efl::eolian::to_cxx<bool>(screen_coords_, std::tuple<std::false_type>()), x_, y_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eo * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eo::concrete>(_tmp_ret, std::tuple<std::false_type>());
      }
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
template <typename T>
void _elm_interface_atspi_component_size_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, int* w_, int* h_)
{
   try
      {
         static_cast<T*>(self->this_)->size_get(w_, h_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
template <typename T>
bool _elm_interface_atspi_component_size_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, int w_, int h_)
{
   try
      {
         return static_cast<T*>(self->this_)->size_set(w_, h_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
template <typename T>
int _elm_interface_atspi_component_layer_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->layer_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         int _tmp_ret{};
         return _tmp_ret;
      }
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
template <typename T>
double _elm_interface_atspi_component_alpha_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->alpha_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         double _tmp_ret{};
         return _tmp_ret;
      }
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
template <typename T>
int _elm_interface_atspi_component_z_order_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->z_order_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         int _tmp_ret{};
         return _tmp_ret;
      }
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
template <typename T>
void _elm_interface_atspi_component_extents_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool screen_coords_, int* x_, int* y_, int* w_, int* h_)
{
   try
      {
         static_cast<T*>(self->this_)->extents_get(::efl::eolian::to_cxx<bool>(screen_coords_, std::tuple<std::false_type>()), x_, y_, w_, h_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
template <typename T>
bool _elm_interface_atspi_component_extents_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool screen_coords_, int x_, int y_, int w_, int h_)
{
   try
      {
         return static_cast<T*>(self->this_)->extents_set(::efl::eolian::to_cxx<bool>(screen_coords_, std::tuple<std::false_type>()), x_, y_, w_, h_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
template <typename T>
void _elm_interface_atspi_component_position_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool screen_coords_, int* x_, int* y_)
{
   try
      {
         static_cast<T*>(self->this_)->position_get(::efl::eolian::to_cxx<bool>(screen_coords_, std::tuple<std::false_type>()), x_, y_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
template <typename T>
bool _elm_interface_atspi_component_position_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool screen_coords_, int x_, int y_)
{
   try
      {
         return static_cast<T*>(self->this_)->position_set(::efl::eolian::to_cxx<bool>(screen_coords_, std::tuple<std::false_type>()), x_, y_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}
#endif

namespace efl { namespace eo { namespace detail {

template<>
struct operations< ::elm_interface_atspi_component >
{
   template <typename T>
   struct type
   {
#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
      virtual bool contains(bool screen_coords_, int x_, int y_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_component_contains(::efl::eolian::to_c(screen_coords_), x_, y_));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
      virtual bool focus_grab()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_component_focus_grab());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
      virtual ::efl::eo::concrete accessible_at_point_get(bool screen_coords_, int x_, int y_)
      {
         Eo * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_component_accessible_at_point_get(::efl::eolian::to_c(screen_coords_), x_, y_));
            return ::efl::eolian::to_cxx<::efl::eo::concrete>(_tmp_ret, std::tuple<std::false_type>());
      }
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
      virtual void size_get(int* w_, int* h_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_interface_atspi_component_size_get(w_, h_));
      }
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
      virtual bool size_set(int w_, int h_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_component_size_set(w_, h_));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
      virtual int layer_get()
      {
         int _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_component_layer_get());
            return _tmp_ret;
      }
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
      virtual double alpha_get()
      {
         double _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_component_alpha_get());
            return _tmp_ret;
      }
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
      virtual int z_order_get()
      {
         int _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_component_z_order_get());
            return _tmp_ret;
      }
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
      virtual void extents_get(bool screen_coords_, int* x_, int* y_, int* w_, int* h_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_interface_atspi_component_extents_get(::efl::eolian::to_c(screen_coords_), x_, y_, w_, h_));
      }
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
      virtual bool extents_set(bool screen_coords_, int x_, int y_, int w_, int h_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_component_extents_set(::efl::eolian::to_c(screen_coords_), x_, y_, w_, h_));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
      virtual void position_get(bool screen_coords_, int* x_, int* y_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_interface_atspi_component_position_get(::efl::eolian::to_c(screen_coords_), x_, y_));
      }
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
      virtual bool position_set(bool screen_coords_, int x_, int y_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_component_position_set(::efl::eolian::to_c(screen_coords_), x_, y_));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
#endif

   };
};


template<>
struct operation_description_class_size< ::elm_interface_atspi_component >
{
   static constexpr int value = 
#if defined(ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED) && defined(ELM_INTERFACE_ATSPI_COMPONENT_BETA)
      12
#elif defined(ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED)
      12
#elif defined(ELM_INTERFACE_ATSPI_COMPONENT_BETA)
      0
#else
      0
#endif
;
};

template <typename T>
int initialize_operation_description(::efl::eo::detail::tag<::elm_interface_atspi_component>
                                 , Eo_Op_Description* ops)
{
   int i = 0;
   (void)i;
   (void)ops;
#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_component_contains_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_component_contains);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_component_focus_grab_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_component_focus_grab);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_component_accessible_at_point_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_component_accessible_at_point_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_component_size_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_component_size_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_component_size_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_component_size_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_component_layer_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_component_layer_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_component_alpha_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_component_alpha_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_component_z_order_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_component_z_order_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_component_extents_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_component_extents_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_component_extents_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_component_extents_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_component_position_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_component_position_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

#ifdef ELM_INTERFACE_ATSPI_COMPONENT_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_component_position_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_component_position_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

   return 0;
}
inline Eo_Class const* get_eo_class(tag<::elm_interface_atspi_component>)
{
   return (ELM_INTERFACE_ATSPI_COMPONENT_MIXIN);
}

} } }

/// @endcond

